package com.ruoyi.jjh.ent.entity.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 荣誉情况返回体
 *
 * @author du
 * @since 2024/7/15 15:04
 */
@Data
@ApiModel("荣誉情况返回体")
public class HonorResponse {

    /**
     * 项目大类名字
     */
    @ApiModelProperty("项目大类名字")
    private String projectBigName;

    /**
     * 项目大类
     */
    @ApiModelProperty("项目大类")
    private Integer projectBigType;

    /**
     * 大类数量
     */
    @ApiModelProperty("大类数量")
    private String count1;

    /**
     * 项目中类名字
     */
    @ApiModelProperty("项目中类名字")
    private String projectMiddleName;


    /**
     * 项目中类
     */
    @ApiModelProperty("项目中类")
    private Integer projectMiddleType;

    /**
     * 中类数量
     */
    @ApiModelProperty("中类数量")
    private String count2;

    /**
     * 项目小类名字
     */
    @ApiModelProperty("项目小类名字")
    private String projectSmallName;

    /**
     * 项目小类
     */
    @ApiModelProperty("项目小类")
    private Integer projectSmallType;

    /**
     * 小类数量
     */
    @ApiModelProperty("小类数量")
    private String count3;

    /**
     * 当前年增加项目数量
     */
    @ApiModelProperty("当前年增加项目数量")
    private String currentYearAdd;

}
