package com.ruoyi.jjh.ent.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.ent.entity.HomeRequestSmart;
import com.ruoyi.jjh.ent.entity.JSmartDeclaration;
import com.ruoyi.jjh.ent.entity.request.JRemindChiefAllRequest;

import java.util.List;


/**
 * 智能提醒关联表（j_smart_declaration）表业务层
 *
 * @author du
 * @since 2024/7/1 13:33
 */
public interface JSmartDeclarationService extends IService<JSmartDeclaration> {

    /**
     * 企业端首页智能提醒查询所有数据
     *
     * @return 所有数据
     */
    Page<HomeRequestSmart> selectEnterpriseAllList(Page<HomeRequestSmart> page,String userName);


    /**
     * 政务端首页智能提醒查询所有数据
     *
     * @return 所有数据
     */
    Page<HomeRequestSmart> chiefAll(Page<HomeRequestSmart> page, JRemindChiefAllRequest req);
}

