package com.ruoyi.jjh.ent.service;

import java.util.HashMap;

/**
 * 短信提醒业务层
 *
 * @author du
 * @since 2024/7/16 13:27
 */
public interface SmsAlertsService {

    /**
     * 生成短信接口统一的请求头
     *
     * @return 请求头
     */
    HashMap<String, String> getMap();

    /**
     * 发送短信
     *
     * @param param1
     * @param param2
     * @return
     */
    String enterSms(String param1, String param2, String numbers);

    /**
     * 短信接收人号码新增
     *
     * @return 所有数据
     */
    String addSsmPhone(String nums);
}
