package com.ruoyi.jjh.ent.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.jjh.ent.entity.JDevelopmentReport;
import com.ruoyi.jjh.ent.entity.response.JTemplateMetricsResponse;
import com.ruoyi.jjh.ent.mapper.JDevelopmentReportMapper;
import com.ruoyi.jjh.ent.service.JDevelopmentReportService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 服务业发展报告（j_template_metrics）表业务实现层
 *
 * @author du
 * @since 2024/7/31 15:19
 */
@Service
public class JDevelopmentReportServiceImpl extends ServiceImpl<JDevelopmentReportMapper, JDevelopmentReport> implements JDevelopmentReportService {

    /**
     * 模板指标自定义选择
     */
    @Override
    public List<JTemplateMetricsResponse> getTemplateMetrics(String year) {
        return baseMapper.getTemplateMetrics(year);
    }
}
